<?php

namespace App\DataFixtures;

use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;
use App\Entity\Donnee;

class AppFixtures extends Fixture
{
    public function load(ObjectManager $manager)
    {
        $fichiers = ["test.txt"/*, "valeursfoncieres-2016.txt", "valeursfoncieres-2017.txt",
            "valeursfoncieres-2018.txt", "valeursfoncieres-2019.txt",  "valeursfoncieres-2019.txt"*/];
        $typeLocals = ["Appartement", "Maison"];
        $manager->getConnection()->getConfiguration()->setSQLLogger(null);
        foreach ($fichiers as $fichier){
            $file = fopen("data/" . $fichier, 'r');
            $line = fgets($file);
            $line = fgets($file);
            while($line !== false) {
                $split = explode("|", $line);
                if(in_array($split[36], $typeLocals) && strcmp($split[9], "Vente") == 0){
                    $donnee = new Donnee();

                    $date = date_create_from_format("j/m/Y", $split[8]);

                    $donnee->setDateMutation($date);
                    $donnee->setTypeMutation($split[9]);
                    $donnee->setValeurFonciere(floatval(str_replace(",", ".", $split[10])));
                    $donnee->setCodeDpt($split[18]);
                    $donnee->setTypeLocal($split[36]);
                    $donnee->setSurface(intval($split[38]));

                    $manager->persist($donnee);

                    $manager->flush();
                    $manager->clear();
                }
                $line = fgets($file);
            }
            fclose($file);
        }
    }
}
